harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arc...@apache.org
Subject svn commit: r367421 - in /incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm: etc/makedist.sh libjc/native/Makefile.am
Date Mon, 09 Jan 2006 22:36:53 GMT
Author: archie
Date: Mon Jan  9 14:36:50 2006
New Revision: 367421

URL: http://svn.apache.org/viewcvs?rev=367421&view=rev
Log:
Generate jcjavah header files at build time instead of at distribution
creation time, and use the 'jcjavah' tool from the build tree instead of
the installed version. This has a few benefits:
- The generated headers correspond to the version of Classpath actually
  installed instead of the version present when the distribution was made.
- It simplifies etc/makedist.sh and eliminates the need to run it as root.
- It makes the distribution tarball slightly smaller.

Modified:
    incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh
    incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/libjc/native/Makefile.am

Modified: incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh?rev=367421&r1=367420&r2=367421&view=diff
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh (original)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/etc/makedist.sh Mon Jan
 9 14:36:50 2006
@@ -11,26 +11,20 @@
 done
 
 if [ ! -f etc/makedist.sh ]; then
-    echo '***' run me from the top level directory please
+    echo '*** Error: run me from the top level directory please'
     exit 1
 fi
 
-if [ `id -u` -ne 0 ]; then
-    echo '***' you must be root
-    exit 1
-fi
-
-if [ ! -w ${CLASSPATH_HOME}/share/classpath/glibj.zip ]; then
-    echo '***' you must build and install classpath first
+GLIBJ="${CLASSPATH_HOME}/share/classpath/glibj.zip"
+if [ ! -f "${GLIBJ}" ]; then
+    echo "*** Error: build and install classpath first (${GLIBJ} not found)"
     exit 1
 fi
 
 rm -f java/jc.zip java/api.tgz
 
 sh etc/regen.sh ${1+"$@"}
-(cd tools && make && make install) || exit 1
-(cd java && make && make install) || exit 1
-(cd include && make && make install) || exit 1
-(cd libjc/native && make hfiles) || exit 1
+(cd java && make) || exit 1
+(cd include && make) || exit 1
 make dist
 

Modified: incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/libjc/native/Makefile.am
URL: http://svn.apache.org/viewcvs/incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/libjc/native/Makefile.am?rev=367421&r1=367420&r2=367421&view=diff
==============================================================================
--- incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/libjc/native/Makefile.am
(original)
+++ incubator/harmony/enhanced/trunk/sandbox/contribs/jchevm/jchevm/libjc/native/Makefile.am
Mon Jan  9 14:36:50 2006
@@ -5,43 +5,27 @@
 cpdir=		$(CLASSPATH_HOME)/share/classpath
 
 EXTRA_DIST=	gnu_classpath_VMStackWalker.c \
-		gnu_classpath_VMStackWalker.h \
 		gnu_classpath_VMSystemProperties.c \
-		gnu_classpath_VMSystemProperties.h \
-		java_lang_Thread.h \
 		java_lang_VMClass.c \
-		java_lang_VMClass.h \
 		java_lang_VMClassLoader.c \
-		java_lang_VMClassLoader.h \
 		java_lang_VMCompiler.c \
-		java_lang_VMCompiler.h \
 		java_lang_VMObject.c \
-		java_lang_VMObject.h \
 		java_lang_VMRuntime.c \
-		java_lang_VMRuntime.h \
 		java_lang_VMSystem.c \
-		java_lang_VMSystem.h \
 		java_lang_VMThread.c \
-		java_lang_VMThread.h \
 		java_lang_VMThrowable.c \
-		java_lang_VMThrowable.h \
 		java_lang_reflect_Constructor.c \
-		java_lang_reflect_Constructor.h \
 		java_lang_reflect_Field.c \
-		java_lang_reflect_Field.h \
 		java_lang_reflect_Method.c \
-		java_lang_reflect_Method.h \
 		org_dellroad_jc_vm_DebugThread.c \
-		org_dellroad_jc_vm_DebugThread.h \
-		org_dellroad_jc_vm_FinalizerThread.c \
-		org_dellroad_jc_vm_FinalizerThread.h
+		org_dellroad_jc_vm_FinalizerThread.c
 
 ##
 ## Generate JCNI header files automatically using jcjavah
 ##
 
-JAVAH=		$(jcbindir)/jcjavah
-JAVAH_CMD=	$(JAVAH) -classpath $(jcdir)/jc.zip:$(cpdir)/glibj.zip \
+JAVAH=		../../tools/jcjavah/jcjavah
+JAVAH_CMD=	$(JAVAH) -classpath $(top_srcdir)/java/jc.zip:$(cpdir)/glibj.zip \
 		    -d $(srcdir)
 
 HFILES=		gnu_classpath_VMStackWalker.h \
@@ -61,7 +45,10 @@
 		org_dellroad_jc_vm_DebugThread.h \
 		org_dellroad_jc_vm_FinalizerThread.h
 
-hfiles:			${HFILES}
+all-local:		${HFILES}
+
+clean:
+		rm -f ${HFILES}
 
 gnu_classpath_VMStackWalker.h:
 	$(JAVAH_CMD) `echo $@ | sed -e 's/\.h$$//g' -e 's/_/./g'`



Mime
View raw message